//package org.apache.storm.starter;

import org.apache.storm.Config;
import org.apache.storm.LocalCluster;
import org.apache.storm.topology.TopologyBuilder;
import org.apache.storm.StormSubmitter;


public class QbouleTopology {
 public static void main(String args[]) {
	try {
	  Config config = new Config();
	  config.setDebug(true);
	  config.setNumWorkers(3);

	  TopologyBuilder builder = new TopologyBuilder();
	  builder.setSpout("word-reader", new WordReaderSpout());
	  builder.setBolt("word-counter", new WordCountBolt(), 1).shuffleGrouping("word-reader");
	  if (args != null && args.length > 0) {
	  	StormSubmitter.submitTopology("QbouleTopology", config, builder.createTopology());
	  }else{
		System.out.println("Launching in local....");
	  	LocalCluster cluster = new LocalCluster();
	  	cluster.submitTopology("QbouleTopology", config, builder.createTopology());
	  	Thread.sleep(10000);
          	cluster.shutdown();
	  }
	}catch (Exception e){
		e.printStackTrace();
	}

 }
}
